
Foreman - Bug #12859

"Suggest new" link for IP address on interface model window doesn't work

12/17/2015 02:01 AM - Sachin Ghai

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Network   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2989

  

Description

I defined two interfaces 1) Primary and 2) Provisioning with different subnets. However, for none of them the "suggest New" IP link

works. I didn't get any error in firebug nor in any logs. Nothing happens on clicking the link.

reproducible with version:

foreman-release-1.11.0-0.develop.201512091815git0e9b35e.el7.noarch

Related issues:

Related to Foreman - Bug #11596: Error generating IP: Not Found shoud not be ... Closed 08/28/2015

Associated revisions

Revision d03db507 - 01/12/2016 04:12 AM - Marek Hulán

Fixes #12859 - trigger autosuggesting even when the IP is set

Revision 76703c89 - 01/19/2016 09:18 AM - Marek Hulán

Fixes #12859 - trigger autosuggesting even when the IP is set

(cherry picked from commit d03db507341885416e99f518c66f8931e5d42dab)

History

#1 - 12/17/2015 02:21 AM - Marek Hulán

Could you please verify that the IPAM is not set to none on any of these subnets? Could you please also capture production.log and proxy.log while

you click on the link?

#2 - 12/17/2015 02:50 AM - Dominic Cleal

- Status changed from New to Need more information

#3 - 12/17/2015 04:10 AM - Sachin Ghai

Yeah, I've defined two subnets. 1) for primary,  where I set the IPAM to Internal DB. 2) for provisioning, where I set the IPAM to dhcp.

All dhcp and dns orchestration is set around the provisioning subnet. On clicking, "Suggest new" no logs are being generated.

#4 - 12/17/2015 04:27 AM - Marek Hulán

- Status changed from Need more information to New

Ok, I'm able to reproduce with develop branch now, thanks for the report.

#5 - 12/18/2015 03:50 AM - Marek Hulán

- Related to Bug #11596: Error generating IP: Not Found shoud not be in the IP field added

#6 - 12/18/2015 04:18 AM - Marek Hulán

- Status changed from New to Assigned
- Assignee set to Marek Hulán

- translation missing: en.field_release set to 104

Introduced by (accidental) removing of emptying the IP field, for more details see 

https://github.com/theforeman/foreman/pull/2650/files#diff-63d9ef3bbe6ac020529a197ac7aa171bL523ac020529a197ac7aa171bL523

Not a blocker but should be fixed in 1.10.1 I think

#7 - 12/18/2015 04:19 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2989 added

#8 - 01/12/2016 05:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d03db507341885416e99f518c66f8931e5d42dab.
